<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

session_name('portal_absa');
session_start();

require_once("clases/pdo/db.class.php");


$db = new DB();

if(isset($_REQUEST["rfc"])){
	$rfc=$_REQUEST["rfc"];
}else{
	$rfc="";
}
$usr="";
$pass="";
$nombre="";
$puesto="";
$email="";
$esProv="SI";
$telefono="";
$contacto="";
$ref_rfc_receptor=$_SESSION['RFC_RECEPTOR_PORTAL'];
			
if(isset($_POST["usr"]))
{
	$usr=$_REQUEST["usr"];
	$pass=$_REQUEST["pass"];
	$nombre=$_REQUEST["nombre"];
	$puesto=$_REQUEST["puesto"];
	$email=$_REQUEST["email2"];
	$esProv="SI";
	$telefono=$_REQUEST["telefono"];
	$contacto=$_REQUEST["contacto"];
	$nombreEmpresa = $_REQUEST["nombreEmpresa"];
}

$result = $db->qry_select("SELECT * from usuariosweb WHERE username = :username limit 1",array(':username' => (string) $usr));
if($result === false){
	if($db->ERROR_NO != 0){
		?><script>$j_6.messager.alert("Error","Ocurrio un error al consultar el usuario. Error -> <?php echo $db->MENSAJE;?>","error");</script><?php exit;
	}
}

if($db->NUM_REGISTROS > 0){
	?><script>$j_6.messager.alert("Error","Usuario no disponible","error");</script><?php exit;
}else if(isset($_POST["usr"])){
	$respuesta = include("enviaCorreoActivacion.php");
	if(!$respuesta){
		?><script>$j_6.messager.alert("Error","Ocurrio un error al enviar el correo.","error");</script><?php exit;
		exit;
	}
	$param = array(
			":username" => (string) $usr,
			":pass" => (string) md5($pass),
			":nombre" => (string) $nombre,
			":puesto" => (string) $puesto,
			":rfc_cliente" => (string) $rfc,
			":esProv" => (string) $esProv,
			":esAdmin" => (string) 'NO',
			":todoRFC" => (string) 'NO',
			":email" => (string) $email,
			":activado" => (int) 0,
			":telefono" => (string) $telefono,
			":contactoP" => (string) $contacto,
			":ref_rfc_receptor" => (string) $ref_rfc_receptor
			);
	// qry_i_usuario($username,$pass,$nombre,$puesto,$rfc_cliente,$esProv,$esAdmin,$todoRFC,$email,$activado,$telefono,$contactoP,$ref_rfc_receptor)
	$result = $db->qry_iud("Insert into usuariosweb (username,pass,nombre,puesto,
		rfc_cliente,fechacreacion,esProv,esAdmin,todoRFC,email,activado,telefono,contactoP,ref_rfc_receptor) 
		values(:username, :pass, :nombre, :puesto, :rfc_cliente, current_timestamp(), :esProv, :esAdmin, :todoRFC, :email, :activado, :telefono, :contactoP, :ref_rfc_receptor)",$param);
	if($result === false){
		if($db->ERROR_NO != 0){
			?><script>$j_6.messager.alert("Error","Ocurrio un error en la alta del usuario. Error -> <?php echo $db->MENSAJE;?>","error");</script><?php exit;
		}
	}
	
	$param = array(
			":rfc" => (string) $rfc,
			":rfc_receptor" => (string) $ref_rfc_receptor
			);
	$result = $db->qry_iud("insert IGNORE into proveedores set rfc= :rfc, rfc_receptor = :rfc_receptor",$param);
	if($result === false){
		if($db->ERROR_NO != 0){
			?><script>$j_6.messager.alert("Error","Ocurrio un error al insertar al proveedor. Error -> <?php echo $db->MENSAJE;?>","error");</script><?php exit;
		}
	}	
}

//PME9701203U9
saveClienteWEB($rfc);
?><script>$j_6.messager.alert("Aviso","Usuario dado de alta correctamente.","info");</script><?php exit;
	
function saveClienteWEB($rfc){
	global $db;
	$nombreCliente=$_REQUEST['nombreEmpresa'];
	$param = array(
			":rfc_cliente" => (string) $rfc
			);
	$result = $db->qry_select("SELECT *	from clienteweb	WHERE rfc_cliente = :rfc_cliente limit 1",$param);
	if($result === false){
		if($db->ERROR_NO != 0){
			?><script>$j_6.messager.alert("Error","Ocurrio un error al insertar al cliente. Error -> <?php echo $db->MENSAJE;?>","error");</script><?php exit;
		}
	}
	if($db->NUM_REGISTROS == 0){
		$param = array(
			":rfc_cliente" => (string) $rfc,
			":nombre_cliente" => (string) $nombreCliente,
			":esProv" => (string) 'SI'
			);
		$result = $db->qry_iud("insert into clienteweb set rfc_cliente = :rfc_cliente, nombre_cliente = :nombre_cliente, esProv = :esProv",$param);
		if($result === false){
			if($db->ERROR_NO != 0){
				?><script>$j_6.messager.alert("Error","Ocurrio un error al insertar al cliente. Error -> <?php echo $db->MENSAJE;?>","error");</script><?php exit;
			}
		}
	}else{
		$param = array(
			":rfc_cliente" => (string) $rfc,
			":nombre_cliente" => (string) $nombreCliente,
			":esProv" => (string) 'SI'
			);
		$result = $db->qry_iud("update clienteweb set nombre_cliente = :nombre_cliente, esProv = :esProv where rfc_cliente = :rfc_cliente",$param);
		if($result === false){
			if($db->ERROR_NO != 0){
				?><script>$j_6.messager.alert("Error","Ocurrio un error al actualizar al cliente. Error -> <?php echo $db->MENSAJE;?>","error");</script><?php exit;
			}
		}
	}	
}

?>